CVE-2023-30769

NameCVE-2023-30769
DescriptionVulnerability discovered is related to the peer-to-peer (p2p) communications, attackers can craft consensus messages, send it to individual nodes and take them offline. An attacker can crawl the network peers using getaddr message and attack the unpatched nodes.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1034806

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dogecoin (PTS)buster1.10.0-7.1vulnerable
sid1.14.7-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dogecoinsource(unstable)(unfixed)1034806

Notes

https://www.halborn.com/blog/post/halborn-discovers-zero-day-impacting-dogecoin-and-280-networks

Search for package or bug name: Reporting problems